Create Franchisee
Allows a business admin user to create franchisees for accessible locations
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
Body
application/json
- Type: objectfranchisee
Responses
- application/json
- application/json
Request Example for post/api2/dashboard/franchisees
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/franchisees \
--request POST \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"name": "New Franchisee",
"email": "test@example.com",
"phone": "1111111111",
"address": "New Franchisee Address",
"state": "New Franchisee State",
"zip_code": "909887",
"enable_guest_upload": true
}'
{
"name": "New Franchisee",
"email": "test@example.com",
"phone": "1111111111",
"address": "New Franchisee Address",
"state": "New Franchisee State",
"zip_code": "909887",
"created_by": "test@example.com",
"enable_guest_upload": true
}